<?php
/**
 * @file
 * materio_administration.features.user_permission.inc
 */

/**
 * Implements hook_user_default_permissions().
 */
function materio_administration_user_default_permissions() {
  $permissions = array();

  // Exported permission: 'access administration menu'.
  $permissions['access administration menu'] = array(
    'name' => 'access administration menu',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'admin_menu',
  );

  // Exported permission: 'assign Adhérent role'.
  $permissions['assign Adhérent role'] = array(
    'name' => 'assign Adhérent role',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'role_delegation',
  );

  // Exported permission: 'assign Contact opérationnel role'.
  $permissions['assign Contact opérationnel role'] = array(
    'name' => 'assign Contact opérationnel role',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'role_delegation',
  );

  // Exported permission: 'assign Premium role'.
  $permissions['assign Premium role'] = array(
    'name' => 'assign Premium role',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'role_delegation',
  );

  // Exported permission: 'assign Student role'.
  $permissions['assign Student role'] = array(
    'name' => 'assign Student role',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'role_delegation',
  );

  // Exported permission: 'assign Unverified role'.
  $permissions['assign Unverified role'] = array(
    'name' => 'assign Unverified role',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'role_delegation',
  );

  // Exported permission: 'assign Utilisateur Alpha Tester role'.
  $permissions['assign Utilisateur Alpha Tester role'] = array(
    'name' => 'assign Utilisateur Alpha Tester role',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'role_delegation',
  );

  // Exported permission: 'assign Utilisateur role'.
  $permissions['assign Utilisateur role'] = array(
    'name' => 'assign Utilisateur role',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'role_delegation',
  );

  // Exported permission: 'assign administrator role'.
  $permissions['assign administrator role'] = array(
    'name' => 'assign administrator role',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'role_delegation',
  );

  // Exported permission: 'assign all roles'.
  $permissions['assign all roles'] = array(
    'name' => 'assign all roles',
    'roles' => array(
      'root' => 'root',
    ),
    'module' => 'role_delegation',
  );

  // Exported permission: 'display drupal links'.
  $permissions['display drupal links'] = array(
    'name' => 'display drupal links',
    'roles' => array(
      'root' => 'root',
    ),
    'module' => 'admin_menu',
  );

  // Exported permission: 'flush caches'.
  $permissions['flush caches'] = array(
    'name' => 'flush caches',
    'roles' => array(
      'root' => 'root',
    ),
    'module' => 'admin_menu',
  );

  return $permissions;
}
